org.apache.sis.metadata.iso.quality

## Class DefaultConceptualConsistency

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - AbstractElement
        - - AbstractLogicalConsistency
          - - DefaultConceptualConsistency

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, ConceptualConsistency, Element, LogicalConsistency

      public class DefaultConceptualConsistency
      extends AbstractLogicalConsistency
      implements ConceptualConsistency

  Adherence to rules of the conceptual schema. The following property is mandatory in a well-formed metadata according ISO 19115:
  `DQ_ConceptualConsistency` `└─result……………` Value obtained from applying a data quality measure.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConceptualConsistency()` Constructs an initially empty conceptual consistency.
    `DefaultConceptualConsistency(ConceptualConsistency object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultConceptualConsistency` | `castOrCopy(ConceptualConsistency object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.

    - ### Methods inherited from class AbstractLogicalConsistency

      `castOrCopy`

    - ### Methods inherited from class AbstractElement

      `castOrCopy, getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setNamesOfMeasure, setResults`

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface Element

      `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- - ### Constructor Detail

    - #### DefaultConceptualConsistency

          public DefaultConceptualConsistency()

      Constructs an initially empty conceptual consistency.

    - #### DefaultConceptualConsistency

          public DefaultConceptualConsistency(ConceptualConsistency object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(ConceptualConsistency)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultConceptualConsistency castOrCopy(ConceptualConsistency object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultConceptualConsistency`, then it is returned unchanged.
      - Otherwise a new `DefaultConceptualConsistency` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.